org.apache.lucene.spatial.prefix

## Class NumberRangePrefixTreeStrategy

- java.lang.Object
- - org.apache.lucene.spatial.SpatialStrategy
  - - org.apache.lucene.spatial.prefix.PrefixTreeStrategy
    - - org.apache.lucene.spatial.prefix.RecursivePrefixTreeStrategy
      - - org.apache.lucene.spatial.prefix.NumberRangePrefixTreeStrategy

-     public class NumberRangePrefixTreeStrategy
      extends RecursivePrefixTreeStrategy

  A PrefixTree based on Number/Date ranges. This isn't very "spatial" on the surface (to the user) but it's implemented using spatial so that's why it's here extending a SpatialStrategy. When using this class, you will use various utility methods on the prefix tree implementation to convert objects/strings to/from shapes. To use with dates, pass in `DateRangePrefixTree`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial.prefix.RecursivePrefixTreeStrategy

      `multiOverlappingIndexedShapes, prefixGridScanLevel, pruneLeafyBranches`

    - ### Fields inherited from class org.apache.lucene.spatial.prefix.PrefixTreeStrategy

      `defaultFieldValuesArrayLen, distErrPct, FIELD_TYPE, grid, pointsOnly`

    - ### Fields inherited from class org.apache.lucene.spatial.SpatialStrategy

      `ctx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberRangePrefixTreeStrategy(NumberRangePrefixTree prefixTree, String fieldName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<Cell>` | `createCellIteratorToIndex(org.locationtech.spatial4j.shape.Shape shape, int detailLevel, Iterator<Cell> reuse)`
    `NumberRangePrefixTree` | `getGrid()`
    `ValueSource` | `makeDistanceValueSource(org.locationtech.spatial4j.shape.Point queryPoint, double multiplier)` Unsupported.

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.RecursivePrefixTreeStrategy

      `getPrefixGridScanLevel, isMultiOverlappingIndexedShapes, isPruneLeafyBranches, makeQuery, setMultiOverlappingIndexedShapes, setPrefixGridScanLevel, setPruneLeafyBranches, toString`

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.PrefixTreeStrategy

      `calcFacets, createIndexableFields, createIndexableFields, createIndexableFields, getDistErrPct, isPointsOnly, newCellToBytesRefIterator, setDefaultFieldValuesArrayLen, setDistErrPct, setPointsOnly`

    - ### Methods inherited from class org.apache.lucene.spatial.SpatialStrategy

      `getFieldName, getSpatialContext, makeDistanceValueSource, makeRecipDistanceValueSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberRangePrefixTreeStrategy

          public NumberRangePrefixTreeStrategy(NumberRangePrefixTree prefixTree,
                                               String fieldName)

  - ### Method Detail

    - #### getGrid

          public NumberRangePrefixTree getGrid()

      Overrides:
        `getGrid` in class `PrefixTreeStrategy`

    - #### createCellIteratorToIndex

          protected Iterator<Cell> createCellIteratorToIndex(org.locationtech.spatial4j.shape.Shape shape,
                                                             int detailLevel,
                                                             Iterator<Cell> reuse)

      Overrides:
        `createCellIteratorToIndex` in class `RecursivePrefixTreeStrategy`

    - #### makeDistanceValueSource

          public ValueSource makeDistanceValueSource(org.locationtech.spatial4j.shape.Point queryPoint,
                                                     double multiplier)

      Unsupported.
      Overrides:
        `makeDistanceValueSource` in class `PrefixTreeStrategy`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.